search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``igraph`.`summary``

module documentation
(source)

Summary representation of a graph.

Class | `FakeWrapper` | Object whose interface is compatible with `textwrap.TextWrapper` but does no wrapping.
Class | `GraphSummary` | Summary representation of a graph.
Function | `summary` | Prints a summary of object o to a given stream
Function | `_get_wrapper_for_width` | Returns a text wrapper that wraps text for the given width.

def summary(obj, stream=None, *args, **kwds): (source)

Prints a summary of object o to a given stream

Positional and keyword arguments not explicitly mentioned here are passed on to the underlying `summary()` method of the object if it has any.

Parameters
obj | the object about which a human-readable summary is requested.
stream | the stream to be used. If `None`, the standard output will be used.
*args | Undocumented
**kwds | Undocumented

def _get_wrapper_for_width(width, *args, **kwds): (source)

Returns a text wrapper that wraps text for the given width.

Parameters
width | the maximal width of each line that the text wrapper produces. `None` means that no wrapping will be performed.
*args | Undocumented
**kwds | Undocumented